# -*- encoding: utf-8 -*-
# stub: client_side_validations 3.2.6 ruby lib

Gem::Specification.new do |s|
  s.name = "client_side_validations".freeze
  s.version = "3.2.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Brian Cardarella".freeze]
  s.date = "2021-01-09"
  s.description = "Client Side Validations".freeze
  s.email = ["bcardarella@gmail.com".freeze]
  s.files = ["CONTRIBUTING.md".freeze, "Gemfile".freeze, "HISTORY.md".freeze, "README.md".freeze, "Rakefile".freeze, "client_side_validations.gemspec".freeze, "coffeescript/processor.rb".freeze, "coffeescript/rails.validations.coffee".freeze, "lib/client_side_validations.rb".freeze, "lib/client_side_validations/action_view.rb".freeze, "lib/client_side_validations/action_view/form_builder.rb".freeze, "lib/client_side_validations/action_view/form_helper.rb".freeze, "lib/client_side_validations/action_view/form_tag_helper.rb".freeze, "lib/client_side_validations/active_model.rb".freeze, "lib/client_side_validations/active_model/acceptance.rb".freeze, "lib/client_side_validations/active_model/exclusion.rb".freeze, "lib/client_side_validations/active_model/format.rb".freeze, "lib/client_side_validations/active_model/inclusion.rb".freeze, "lib/client_side_validations/active_model/length.rb".freeze, "lib/client_side_validations/active_model/numericality.rb".freeze, "lib/client_side_validations/active_model/presence.rb".freeze, "lib/client_side_validations/active_record.rb".freeze, "lib/client_side_validations/active_record/middleware.rb".freeze, "lib/client_side_validations/active_record/uniqueness.rb".freeze, "lib/client_side_validations/config.rb".freeze, "lib/client_side_validations/core_ext.rb".freeze, "lib/client_side_validations/core_ext/range.rb".freeze, "lib/client_side_validations/core_ext/regexp.rb".freeze, "lib/client_side_validations/engine.rb".freeze, "lib/client_side_validations/files.rb".freeze, "lib/client_side_validations/generators.rb".freeze, "lib/client_side_validations/generators/rails_validations.rb".freeze, "lib/client_side_validations/middleware.rb".freeze, "lib/client_side_validations/version.rb".freeze, "lib/generators/client_side_validations/copy_assets_generator.rb".freeze, "lib/generators/client_side_validations/install_generator.rb".freeze, "lib/generators/templates/client_side_validations/initializer.rb".freeze, "test/action_view/cases/helper.rb".freeze, "test/action_view/cases/test_helpers.rb".freeze, "test/action_view/cases/test_legacy_helpers.rb".freeze, "test/action_view/models.rb".freeze, "test/action_view/models/comment.rb".freeze, "test/action_view/models/post.rb".freeze, "test/active_model/cases/helper.rb".freeze, "test/active_model/cases/test_acceptance_validator.rb".freeze, "test/active_model/cases/test_base.rb".freeze, "test/active_model/cases/test_confirmation_validator.rb".freeze, "test/active_model/cases/test_exclusion_validator.rb".freeze, "test/active_model/cases/test_format_validator.rb".freeze, "test/active_model/cases/test_inclusion_validator.rb".freeze, "test/active_model/cases/test_length_validator.rb".freeze, "test/active_model/cases/test_numericality_validator.rb".freeze, "test/active_model/cases/test_presence_validator.rb".freeze, "test/active_model/cases/test_validations.rb".freeze, "test/active_model/models/person.rb".freeze, "test/active_record/cases/helper.rb".freeze, "test/active_record/cases/test_base.rb".freeze, "test/active_record/cases/test_middleware.rb".freeze, "test/active_record/cases/test_uniqueness_validator.rb".freeze, "test/active_record/models/guid.rb".freeze, "test/active_record/models/thing.rb".freeze, "test/active_record/models/user.rb".freeze, "test/base_helper.rb".freeze, "test/core_ext/cases/test_core_ext.rb".freeze, "test/generators/cases/test_generators.rb".freeze, "test/javascript/config.ru".freeze, "test/javascript/public/test/callbacks/elementAfter.js".freeze, "test/javascript/public/test/callbacks/elementBefore.js".freeze, "test/javascript/public/test/callbacks/elementFail.js".freeze, "test/javascript/public/test/callbacks/elementPass.js".freeze, "test/javascript/public/test/callbacks/formAfter.js".freeze, "test/javascript/public/test/callbacks/formBefore.js".freeze, "test/javascript/public/test/callbacks/formFail.js".freeze, "test/javascript/public/test/callbacks/formPass.js".freeze, "test/javascript/public/test/disableValidators.js".freeze, "test/javascript/public/test/form_builders/validateForm.js".freeze, "test/javascript/public/test/settings.js".freeze, "test/javascript/public/test/utilities.js".freeze, "test/javascript/public/test/validateElement.js".freeze, "test/javascript/public/test/validators/acceptance.js".freeze, "test/javascript/public/test/validators/confirmation.js".freeze, "test/javascript/public/test/validators/exclusion.js".freeze, "test/javascript/public/test/validators/format.js".freeze, "test/javascript/public/test/validators/inclusion.js".freeze, "test/javascript/public/test/validators/length.js".freeze, "test/javascript/public/test/validators/numericality.js".freeze, "test/javascript/public/test/validators/presence.js".freeze, "test/javascript/public/test/validators/uniqueness.js".freeze, "test/javascript/public/vendor/jquery.metadata.js".freeze, "test/javascript/public/vendor/qunit.css".freeze, "test/javascript/public/vendor/qunit.js".freeze, "test/javascript/server.rb".freeze, "test/javascript/views/index.erb".freeze, "test/javascript/views/layout.erb".freeze, "test/middleware/cases/helper.rb".freeze, "test/middleware/cases/test_middleware.rb".freeze, "test/test_loader.rb".freeze, "vendor/assets/javascripts/rails.validations.js".freeze]
  s.homepage = "https://github.com/bcardarella/client_side_validations".freeze
  s.rubygems_version = "3.2.0.rc.2".freeze
  s.summary = "Client Side Validations".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rails>.freeze, ["~> 3.2.0"])
    s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_development_dependency(%q<m>.freeze, [">= 0"])
    s.add_development_dependency(%q<sinatra>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<shotgun>.freeze, [">= 0"])
    s.add_development_dependency(%q<thin>.freeze, [">= 0"])
    s.add_development_dependency(%q<json>.freeze, [">= 0"])
    s.add_development_dependency(%q<coffee-script>.freeze, [">= 0"])
    s.add_development_dependency(%q<jquery-rails>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rails>.freeze, ["~> 3.2.0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<m>.freeze, [">= 0"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 1.0"])
    s.add_dependency(%q<shotgun>.freeze, [">= 0"])
    s.add_dependency(%q<thin>.freeze, [">= 0"])
    s.add_dependency(%q<json>.freeze, [">= 0"])
    s.add_dependency(%q<coffee-script>.freeze, [">= 0"])
    s.add_dependency(%q<jquery-rails>.freeze, [">= 0"])
  end
end
